<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>THR Slip</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        THR Slip
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Reports</li>
        <li class="active"> THR Slip</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-9">

            <section class="invoice">
                <!-- title row -->
                <div class="row">
                    <div class="col-xs-12">
                        <h2 class="page-header">
                            <i class="fa fa-globe"></i> THR Slip.
                            <!--              <small class="pull-right" th:text="${#temporals.format(date,'dd-MMM-yyyy')}">Date: 2/10/2014</small>-->

                            <strong class="pull-right" th:text="${namaBulan.getNamaEnglish()+ ' ' + tahun}">Date: 2/10/2014</strong>
                        </h2>
                    </div>
                    <!-- /.col -->
                </div>
                <!-- info row -->
                <div class="row invoice-info">

                    <div class="col-sm-6 invoice-col">
                        <address>
                            <strong th:text="${employes.getFullName()}">Admin, Inc.</strong>
                            <br>
                            <strong th:text="${companies.getCompanyName()}">Admin, Inc.</strong>
                            <br>
                            <strong th:text="${'Employee ID : '+ employes.getNumber()}">Admin, Inc.</strong>
                            <br>
                            <small th:text="${position}"></small>
                            <br>
                            <!--              Email: info@almasaeedstudio.com-->
                        </address>
                    </div>
                    <div class="col-sm-6 invoice-col" >
                        <img align="right" width="100px" src="https://tazkia.ac.id/wp-content/uploads/2019/08/menu1.png">
                    </div>
                    <!-- /.col -->

                    <!-- /.col -->
                    <!-- /.col -->
                </div>
                <!-- /.row -->

                <!-- Table row -->

                <div class="row">
                    <div class="col-xs-12 table-responsive">
                        <table class="table table-striped">
                            <tbody>
                            <tr>
                                <td><strong>THR Gross :</strong></td>
                                <td align="right" th:text="${'Rp '+ #numbers.formatDecimal(paySlip.getTotalThr(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                    <!-- /.col -->
                </div>

                <div class="row">
                    <div class="col-xs-6 table-responsive">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th colspan="2">Allowance</th>
                            </tr>
                            </thead>
                            <tbody>
<!--                            <tr th:each="dataAllowance,row : ${allowance}">-->
<!--                                &lt;!&ndash;                <td>1</td>&ndash;&gt;-->
<!--                                <td th:text="${dataAllowance.getDeskripsi()}">Call of Duty</td>-->
<!--                                <td align="right" th:text="${#numbers.formatDecimal(dataAllowance.getNominal(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>-->
<!--                            </tr>-->
                            </tbody>
                        </table>
                    </div>
                    <!-- /.col -->
                    <div class="col-xs-6 table-responsive">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th colspan="2">Deductions</th>
                            </tr>
                            </thead>
                            <tbody>
                            <tr>
                                <!--                <td>1</td>-->
                                <td th:text="${'Tax'}">Call of Duty</td>
                                <td align="right" th:text="${#numbers.formatDecimal(paySlip.getTotalPajak(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>

                <div class="row">
                    <div class="col-xs-6 table-responsive">
                        <table class="table table-striped">
                            <thead>
                            <tr>
                                <th colspan="2">Benefits</th>
                            </tr>
                            </thead>
                            <tbody>
<!--                            <tr th:each="dataBenefit,row : ${benefit}">-->
<!--                                &lt;!&ndash;                <td>1</td>&ndash;&gt;-->
<!--                                <td th:text="${dataBenefit.getDeskripsi()}">Call of Duty</td>-->
<!--                                <td align="right" th:text="${#numbers.formatDecimal(dataBenefit.getNominal(), 0, 'POINT', 2, 'COMMA')}">Call of Duty</td>-->
<!--                            </tr>-->
                            </tbody>
                        </table>
                    </div>
                    <!-- /.col -->

                </div>
                <!-- /.row -->

                <div class="row">
                    <!-- accepted payments column -->
                    <div class="col-xs-6">
                        <!--            <p class="lead">Payment Methods:</p>-->
                        <!--            <img src="../../dist/img/credit/visa.png" alt="Visa">-->
                        <!--            <img src="../../dist/img/credit/mastercard.png" alt="Mastercard">-->
                        <!--            <img src="../../dist/img/credit/american-express.png" alt="American Express">-->
                        <!--            <img src="../../dist/img/credit/paypal2.png" alt="Paypal">-->

                        <!--            <p class="text-muted well well-sm no-shadow" style="margin-top: 10px;">-->
                        <!--              Etsy doostang zoodles disqus groupon greplin oooj voxy zoodles, weebly ning heekya handango imeem plugg-->
                        <!--              dopplr jibjab, movity jajah plickers sifteo edmodo ifttt zimbra.-->
                        <!--            </p>-->
                    </div>
                    <!-- /.col -->
                    <div class="col-xs-6">
                        <p class="lead">Amount</p>

                        <div class="table-responsive">
                            <table class="table">
                                <!--                <tr>-->
                                <!--                  <th style="width:50%">Subtotal:</th>-->
                                <!--                  <td>$250.30</td>-->
                                <!--                </tr>-->
                                <tr>
                                    <th>Infaq</th>
                                    <td align="right" th:text="${#numbers.formatDecimal(0, 0, 'POINT', 2, 'COMMA')}">$10.34</td>
                                </tr>
                                <tr>
                                    <th>Zakat</th>
                                    <td align="right" th:text="${#numbers.formatDecimal(0, 0, 'POINT', 2, 'COMMA')}">$10.34</td>
                                </tr>
                                <tr>
                                    <th>Tax</th>
                                    <td align="right" th:text="${#numbers.formatDecimal(paySlip.getTotalPajak(), 0, 'POINT', 2, 'COMMA')}">$10.34</td>
                                </tr>
                                <tr>
                                    <th>THR</th>
                                    <td align="right" th:text="${'Rp '+ #numbers.formatDecimal(paySlip.getThrBersih(), 0, 'POINT', 2, 'COMMA')}">$265.24</td>
                                </tr>
                            </table>
                        </div>
                    </div>
                    <!-- /.col -->
                </div>
                <!-- /.row -->

                <!-- this row will not appear when printing -->
                <div class="row no-print">
                    <div class="col-xs-12">
                        <form method="post" th:action="@{/thr/reports/slip/print}" target="_blank">
                            <input type="hidden" name="employes" th:value="${employes.getId()}">
                            <input type="hidden" name="bulan" th:value="${bulan}">
                            <input type="hidden" name="tahun" th:value="${tahun}">
                            <input type="submit" class="btn btn-default" value="Print">
                        </form>
                        <!--            <a th:href="@{/payroll/reports/payslip/print(employes=${employes.getId()}, bulan=${bulan}, tahun=${tahun})}" target="_blank" class="btn btn-default"><i class="fa fa-print"></i> Print</a>-->
                        <!--            <button type="button" class="btn btn-success pull-right"><i class="fa fa-credit-card"></i> Submit Payment-->
                        <!--            </button>-->
                        <!--            <button type="button" class="btn btn-primary pull-right" style="margin-right: 5px;">-->
                        <!--              <i class="fa fa-download"></i> Generate PDF-->
                        <!--            </button>-->
                    </div>
                </div>
            </section>

        </div>

    </div>
    <!-- nav-tabs-custom -->
    </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>

    <script>
        $(function () {
            $('#example1').DataTable()
            $('#example2').DataTable({
                'paging'      : true,
                'lengthChange': false,
                'searching'   : false,
                'ordering'    : true,
                'info'        : true,
                'autoWidth'   : false
            })
        })

        $(function() {

            var bla = $('#effectiveDateString').val();
            $('#effectiveDateString').val(bla);

        });

        (function($){
            $('#payrollComponent').select2();
            $('#payrollComponent').on('select2:selecting', function(e) {
                console.log('Selecting: ' , e.params.args.data.id);
                $('#isiPayrollComponent').val(e.params.args.data.id);
            });
        })(jQuery);

        function dtable() {

            // const url = '/api/detail/anggarandto?idAnggaran='+$('#isiPayrollComponent').val();
            window.location.href = '/payroll/update/new?payrollComponent='+$('#isiPayrollComponent').val()+'&effectiveDate='+$('#effectiveDateString').val();


        }
    </script>
</section>
</body>
</html>
</body>
</html>